Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_POA_PortableGroup_Hooks Class Reference

TAO_POA_PortableGroup_Hooks. More...

`#include <PortableGroup_Hooks.h>`

List of all members.

## Public Methods
virtual | ~TAO_POA_PortableGroup_Hooks (void)
| Destructor. More...
virtual PortableServer::ObjectId * | create_id_for_reference (TAO_POA &the_poa, CORBA::Object_ptr the_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException, PortableServer::NotAGroupObject )
virtual PortableServer::IDs * | reference_to_ids (TAO_POA &the_poa, CORBA::Object_ptr the_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException, PortableServer::NotAGroupObject )
virtual void | associate_reference_with_id (TAO_POA &the_poa, CORBA::Object_ptr ref, const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException, PortableServer::NotAGroupObject )
virtual void | disassociate_reference_with_id (TAO_POA &the_poa, CORBA::Object_ptr ref, const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException, PortableServer::NotAGroupObject )

## Detailed Description

TAO_POA_PortableGroup_Hooks.

This class is an abstract base class that contains hooks for the PortableGroup library.

## Constructor & Destructor Documentation

TAO_POA_PortableGroup_Hooks::~TAO_POA_PortableGroup_Hooks | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void TAO_POA_PortableGroup_Hooks::associate_reference_with_id | ( | TAO_POA & | the_poa,
|  | CORBA::Object_ptr | ref,
|  | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, PortableServer::NotAGroupObject )`[pure virtual]`

virtual PortableServer::ObjectId* TAO_POA_PortableGroup_Hooks::create_id_for_reference | ( | TAO_POA & | the_poa,
|  | CORBA::Object_ptr the_ref | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, PortableServer::NotAGroupObject )`[pure virtual]`

virtual void TAO_POA_PortableGroup_Hooks::disassociate_reference_with_id | ( | TAO_POA & | the_poa,
|  | CORBA::Object_ptr | ref,
|  | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, PortableServer::NotAGroupObject )`[pure virtual]`

virtual PortableServer::IDs* TAO_POA_PortableGroup_Hooks::reference_to_ids | ( | TAO_POA & | the_poa,
|  | CORBA::Object_ptr the_ref | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, PortableServer::NotAGroupObject )`[pure virtual]`

The documentation for this class was generated from the following files:

- PortableGroup_Hooks.h
- PortableGroup_Hooks.cpp